{% extends "Docentes/Intranet/index_intranet_curso.html" %}
{% load i18n admin_static admin_list %}

{% block content-main %}
<div class="row-fluid">
    <div class="">
        <form action="" method="post" enctype="multipart/form-data" class="form-horizontal well">{% csrf_token %}
        <div class="page-header" style="padding-bottom:0px;">
                <h2>{% trans 'Sílabo del Curso'%} </h2>
        </div>
        
        <div class="alert ">
            {% if periodocurso.Silabo %}
            <i class="icon-eye-open"></i> {% trans "Usted ya subió su silabo, puede descargarlo" %} <a href="{% static 'uploads/' %}{{ periodocurso.Silabo.name }}" class="btn btn-mini btn-info">{% trans 'Presionando aquí' %}</a> <br>
            {% trans 'Si deseas reemplazarlo utilizar el siguiente formulario.' %}
            {% else %}
            <i class="icon-eye-open"></i> <strong>Mensaje:</strong> {% trans "Actualmente no ha subido su sílabo. Por favor, suba su sílabo utilizando el siguiente formulario." %}
            {% endif %}
        </div>
        {% if mensaje %}
        <div class="alert alert-success">
            <i class="icon-eye-open"></i> {% trans "Silabo actualizado con exito" %}
        </div>
        {% endif %}
        
        <fieldset class="">
            <div class="control-group {% if form.Silabo.errors %}error{% endif %}">
                <label class="control-label" for="id_Silabo"><strong>{{ form.Silabo.label }}:</strong></label>
                <div class="controls">
                    {{ form.Silabo }}
                </div>
                {% if form.Silabo.errors %}
                    <div class="controls">
                    <span class="help-inline"><i class="icon-warning-sign"></i>
                    {% for error in form.Silabo.errors %}
                        {{ error }}
                    {% endfor %}
                    </span>
                    </div>
                {% endif %}
            </div>
            <div class="form-actions">
            <button type="submit" onclick="this.disabled=true;this.value='Subiendo, espere por favor ...';this.form.submit();" class="btn btn-info">{% trans 'Subir Sílabo' %}</button>
            </div>
        </fieldset>
        </form>
    </div>
</div>

<div class="row-fluid well">

        <h2>{% trans 'Visor de Sílabo' %}</h2>

        <object 
          {% if periodocurso.Silabo %}data="{% static 'uploads/' %}{{ periodocurso.Silabo.name }}#zoom=100&toolbar=1&navpanes=0&scrollbar=1&page=1&view=FitH"{% else %}data="{% static 'uploads/UDL.pdf' %}#zoom=100&toolbar=1&navpanes=0&scrollbar=1&page=1&view=FitH"{% endif %} 
          type="application/pdf" 
          width="820" 
          height="500">
          <div class="alert">
          <i class="icon-eye-open"></i> Si tienes problemas para visualizar el silabo, puede que no tengas instalado Adobe Reader, descargarlo <a href="http://get.adobe.com/es/reader/" class="btn btn-mini btn-info">{% trans 'Aquí' %}</a>
          </div>
        </object>

        </div>

        </div>
        
</div>

{% endblock %}
